org.apache.datasketches.pig.frequencies

## Class UnionFrequentStringsSketch.Initial

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.frequencies.AlgebraicInitial
    - - org.apache.datasketches.pig.frequencies.UnionFrequentStringsSketch.Initial

Enclosing class:
  UnionFrequentStringsSketch

    public static class UnionFrequentStringsSketch.Initial
    extends AlgebraicInitial

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`Initial()` Default constructor to make pig validation happy.
`Initial(String sketchSize)` Constructor for the initial pass of an Algebraic function.

### Method Summary

### Methods inherited from class org.apache.datasketches.pig.frequencies.AlgebraicInitial

`exec`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Initial

    public Initial()

Default constructor to make pig validation happy.

#### Initial

    public Initial(String sketchSize)

Constructor for the initial pass of an Algebraic function. This will be passed the same constructor arguments as the original UDF.

Parameters:
  `sketchSize` - String representation of sketch size